#
# spec file for package librdmacm
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           librdmacm
Summary:        RDMA cm library.
Version:        1.0.13
Release:        0.8.10
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.bz2
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibverbs-devel
ExcludeArch:    s390 s390x

%description
RDMA cm library



Authors:
--------
    Sean Hefty <sean.hefty@intel.com>

%package devel
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Summary:        RDMA cm library.
Requires:       %{name} = %{version} libibverbs-devel

%description devel
RDMA cm library



Authors:
--------
    Sean Hefty <sean.hefty@intel.com>

%prep
%setup -q

%build
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%_bindir/*
%_libdir/librdmacm.so.*
%_mandir/man1/*
%_mandir/man3/*
%_mandir/man7/*

%files devel
%defattr(-,root,root)
%_includedir/rdma
%_includedir/infiniband/ib.h
%_libdir/librdmacm.a
%_libdir/librdmacm.la
%_libdir/librdmacm.so

%changelog
* Fri Feb 11 2011 pth@suse.de
- Add ExcludeArch for s390 and s390x.
* Fri Oct 22 2010 stefan.fent@novell.com
- Update to v1.0.13 from OFED 1.5.2
* Mon May 24 2010 jjolly@novell.com
- Updated to v1.0.11 from OFED 1.5.1
- Removed autogen from %%prep in specfile
* Sat Jul 11 2009 jjolly@suse.de
- Updated to v1.0.8 from OFED 1.4.1 release
* Wed Oct 15 2008 jjolly@suse.de
- Updated to 1.0.7 from OFED 1.3.1 release
* Fri Feb 29 2008 jjolly@suse.de
- Updated to 1.0.6 from OFED 1.3 GA release
* Wed Jan 30 2008 jjolly@suse.de
- Update to 1.0.5 from OFED 1.3 rc2
* Mon Jul  9 2007 hvogel@suse.de
- Use correct version number
* Mon Jul  2 2007 hvogel@suse.de
- Update to OFED 1.2 release
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 1.0.2
